Bug 868542 - IndexError: tuple index out of range [NEEDINFO]
IndexError: tuple index out of range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:885250069770fa44fc6184c471b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 14:30 EDT by Steve Tyler
Modified: 2014-02-05 07:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (stephent98)


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: anaconda-tb (325.44 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: environ (780 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: storage.log (145.10 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: version (11 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: program.log (48.13 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: anaconda.log (10.22 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: syslog (59.80 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: packaging.log (10.45 KB, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: cmdline_file (110 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details
File: release (24 bytes, text/plain)
2012-10-20 14:30 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-20 14:30:25 EDT
Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/errors.py", line 217, in _payloadInstallHandler
:    package = args[0]
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/errors.py", line 260, in cb
:    rc = _map[exn.__class__.__name__](*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1274, in install
:    if errorHandler.cb(exn) == ERROR_RAISE:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 118, in doInstall
:    payload.install()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:IndexError: tuple index out of range
Comment 1 Steve Tyler 2012-10-20 14:30:34 EDT
Created attachment 630547 [details]
File: ifcfg.log
Comment 2 Steve Tyler 2012-10-20 14:30:37 EDT
Created attachment 630548 [details]
File: anaconda-tb
Comment 3 Steve Tyler 2012-10-20 14:30:38 EDT
Created attachment 630549 [details]
File: product
Comment 4 Steve Tyler 2012-10-20 14:30:40 EDT
Created attachment 630550 [details]
File: type
Comment 5 Steve Tyler 2012-10-20 14:30:41 EDT
Created attachment 630551 [details]
File: environ
Comment 6 Steve Tyler 2012-10-20 14:30:43 EDT
Created attachment 630552 [details]
File: storage.log
Comment 7 Steve Tyler 2012-10-20 14:30:44 EDT
Created attachment 630553 [details]
File: version
Comment 8 Steve Tyler 2012-10-20 14:30:46 EDT
Created attachment 630554 [details]
File: program.log
Comment 9 Steve Tyler 2012-10-20 14:30:47 EDT
Created attachment 630555 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-10-20 14:30:49 EDT
Created attachment 630556 [details]
File: syslog
Comment 11 Steve Tyler 2012-10-20 14:30:50 EDT
Created attachment 630557 [details]
File: hashmarkername
Comment 12 Steve Tyler 2012-10-20 14:30:52 EDT
Created attachment 630558 [details]
File: packaging.log
Comment 13 Steve Tyler 2012-10-20 14:30:53 EDT
Created attachment 630559 [details]
File: cmdline_file
Comment 14 Steve Tyler 2012-10-20 14:30:54 EDT
Created attachment 630560 [details]
File: release
Comment 15 Reartes Guillermo 2012-10-20 16:58:31 EDT
i tried the same as 868559

the difference is that this guest contains an other os partition and there was previous f18 partitions that i deleted before creating the 1mb / partitions. And while the other guest got frozen solid, in this case an error did popup. 


Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 16 Reartes Guillermo 2012-10-20 17:02:36 EDT
Notice: upon reboot dual boot was broken, so the other os is not bootable.
Non expert users will bork their dual boot system if they get hit by this.

"error: file '/grub2/i386-pc/normal.mod' not found.
Entering rescue mode..."
Comment 17 Reartes Guillermo 2012-10-21 15:10:59 EDT
I managed to UNLOCK the BEGIN INSTALL button withount any disks selected (!)
So, of course, it crashed horribly.
This condition might also represent a potential data loss.


Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 18 Chris Lumens 2012-10-22 10:43:40 EDT
Can you see if booting with updates=http://clumens.fedorapeople.org/868542.img fixes this issue for you?
Comment 19 Reartes Guillermo 2012-10-22 13:12:00 EDT
I could not reproduce the comment #17 scenario yet. I will keep trying.

As for comment #16, i could reproduce it.
I tried the updates image from comment #18 and i was still able to start installing by just creating a 1mb / partition. However, the displayed error changed, see RHBZ: 868994
Comment 20 Chris Lumens 2012-10-22 13:50:04 EDT
I have refreshed the updates.img if you would like to retry.  Please ignore the obvious weirdness with the status line of the language spoke.  It's something I'm working on and git is being annoying.
Comment 21 Reartes Guillermo 2012-10-22 14:11:22 EDT
In a different guest i reproduced the issue as described originally:

0. Enter STORAGE: INSTALLATION DESTINATION and select the first disk
1. Enter MANUAL PARTITIONING
2. Expand the 'UNKNOWN' tree, select SWAP, expand 'customize' and check 'encrypt' then APPLY.
3. Expand the 'New Fedora...' and click '-' to delete the already selected swap.
4. The error appears.

I reproduced it two times before trying the updates image.

I tried with the new updates image.
The error did not happen when performing the previous steps.
I was still able to start installing by just creating a 1mb partition.

What changed is the error during install. Now, instead of an 'Unknown Error' 
anaconda displays a dialog:

"The following error occurred while installing. This is a fatal error and
installation will be aborted. Could not run transaction". 

(with a STOP red icon). 
There is a button 'Exit Installer', but it does not work.

It generates a further 'Unknown Error' "PayloadInstallError: Could not run transaction."
Comment 22 Michael Scherer 2012-10-27 13:49:18 EDT
tried to test TC6 using the updates.img that adam gave on fedora-devel. I tried to encrypt the drive, in a kvm with 5G of disk and 1g of ram, using netinst.iso.

Package: anaconda-18.19
Architecture: i686
OS Release: Fedora release 18-Beta-TC6
Comment 23 Stef Walter 2012-11-12 05:17:57 EST
Doing a kickstart install.

Package: anaconda-18.19
OS Release: Fedora release 18
Comment 24 Stef Walter 2012-11-12 05:21:31 EST
Running kickstart install.

Package: anaconda-18.19
OS Release: Fedora release 18
Comment 25 Reartes Guillermo 2012-12-11 12:08:08 EST
I tried with F18-TC1 (anaconda 18.36):

0. Enter STORAGE: INSTALLATION DESTINATION and select the first disk

1. Enter MANUAL PARTITIONING (Tried with all schemes: STANDARD PARTITION/BTRFS/LVM)

2. Expand the 'UNKNOWN' tree, select SWAP, expand 'customize' and check 'encrypt' then APPLY.

3. Expand the 'New Fedora...' and click '-' to delete the already selected swap.

4. The partition is deleted without any error or issue.

NOTE: STEP #2: It is no longer possible to do it as before, due to UI changes (specifically 
the 'reformat' checkbox), so i tried with: check 'reformat' and then check 'encrypt'.

This applies to comment #21 at least.
Comment 26 Fedora End Of Life 2013-12-21 04:09:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2014-02-05 07:38:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.